Package com.emc.d2fs.models.bravacsr_note

# Class BravacsrNote

java.lang.Object
com.emc.d2fs.models.bravacsr_note.BravacsrNote

All Implemented Interfaces:
  `Serializable`

public class BravacsrNote extends Object implements Serializable

Java class for bravacsr_note complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="bravacsr_note">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.emc.com/d2fs/models/bravacsr_note}bravacsr_notes" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute ref="{http://www.emc.com/d2fs/models/common}id use="required""/>
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="type" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="content" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="owner" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="LastModifiedDate" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BravacsrNote()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<BravacsrNote>`
  `getBravacsrNotes()`
  Gets the value of the bravacsrNotes property.
  `String`
  `getContent()`
  Gets the value of the content property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getLastModifiedDate()`
  Gets the value of the lastModifiedDate property.
  `String`
  `getName()`
  Gets the value of the name property.
  `String`
  `getOwner()`
  Gets the value of the owner property.
  `String`
  `getType()`
  Gets the value of the type property.
  `void`
  `setContent(String value)`
  Sets the value of the content property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setLastModifiedDate(String value)`
  Sets the value of the lastModifiedDate property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setOwner(String value)`
  Sets the value of the owner property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BravacsrNote

    public BravacsrNote()

- ## Method Details

  - ### getBravacsrNotes

    public List<BravacsrNote> getBravacsrNotes()
    Gets the value of the bravacsrNotes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the bravacsrNotes property.

    For example, to add a new item, do as follows:

            getBravacsrNotes().add(newItem);

    Objects of the following type(s) are allowed in the list `BravacsrNote`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`

  - ### getContent

    public String getContent()
    Gets the value of the content property.
    Returns:
      possible object is `String`

  - ### setContent

    public void setContent(String value)
    Sets the value of the content property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOwner

    public String getOwner()
    Gets the value of the owner property.
    Returns:
      possible object is `String`

  - ### setOwner

    public void setOwner(String value)
    Sets the value of the owner property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLastModifiedDate

    public String getLastModifiedDate()
    Gets the value of the lastModifiedDate property.
    Returns:
      possible object is `String`

  - ### setLastModifiedDate

    public void setLastModifiedDate(String value)
    Sets the value of the lastModifiedDate property.
    Parameters:
      `value` - allowed object is `String`